Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Interface Java2WSDLConstants

All Known Implementing Classes:
  AxisService2WSDL11, DefaultSchemaGenerator, DocLitBareSchemaGenerator

    public interface Java2WSDLConstants

Field Summary
`static java.lang.String` | `ATTR_FORM_DEFAULT_OPTION`
`static java.lang.String` | `ATTR_FORM_DEFAULT_OPTION_LONG`
`static java.lang.String` | `ATTRIBUTE_NAME`
`static java.lang.String` | `AXIS2_NAMESPACE_PREFIX`
`static java.lang.String` | `AXIS2_XSD`
`static java.lang.String` | `BINDING_LOCAL_NAME`
`static java.lang.String` | `BINDING_NAME_SUFFIX`
`static java.lang.String` | `CLASSNAME_OPTION`
`static java.lang.String` | `CLASSNAME_OPTION_LONG`
`static java.lang.String` | `CLASSPATH_OPTION`
`static java.lang.String` | `CLASSPATH_OPTION_LONG`
`static java.lang.String` | `COLON_SEPARATOR`
`static java.lang.String` | `CUSTOM_SCHEMA_LOCATION`
`static java.lang.String` | `CUSTOM_SCHEMA_LOCATION_LONG`
`static java.lang.String` | `DEFAULT_LOCATION_URL`
`static java.lang.String` | `DEFAULT_SCHEMA_NAMESPACE_PREFIX`
`static java.lang.String` | `DEFAULT_TARGET_NAMESPACE`
`static java.lang.String` | `DEFAULT_TARGET_NAMESPACE_PREFIX`
`static java.lang.String` | `DEFAULT_WSDL_NAMESPACE_PREFIX`
`static java.lang.String` | `DISABLE_BINDING_REST`
`static java.lang.String` | `DISABLE_BINDING_SOAP11`
`static java.lang.String` | `DISABLE_BINDING_SOAP12`
`static java.lang.String` | `DISALLOW_ANON_TYPES_OPTION`
`static java.lang.String` | `DISALLOW_ANON_TYPES_OPTION_LONG`
`static java.lang.String` | `DISALLOW_NILLABLE_ELEMENTS_OPTION`
`static java.lang.String` | `DISALLOW_NILLABLE_ELEMENTS_OPTION_LONG`
`static java.lang.String` | `DOC_LIT_BARE`
`static java.lang.String` | `DOC_LIT_BARE_LONG`
`static java.lang.String` | `DOC_LIT_BARE_PARAMETER`
`static java.lang.String` | `DOCUMENT`
`static java.lang.String` | `ELEMENT_ATTRIBUTE_NAME`
`static java.lang.String` | `ELEMENT_FORM_DEFAULT_OPTION`
`static java.lang.String` | `ELEMENT_FORM_DEFAULT_OPTION_LONG`
`static java.lang.String` | `EXTRA_CLASSES_DEFAULT_OPTION`
`static java.lang.String` | `EXTRA_CLASSES_DEFAULT_OPTION_LONG`
`static java.lang.String` | `FAULT_LOCAL_NAME`
`static java.lang.String` | `FAULT_MESSAGE`
`static java.lang.String` | `FORM_DEFAULT_QUALIFIED`
`static java.lang.String` | `FORM_DEFAULT_UNQUALIFIED`
`static java.lang.String` | `HTTP_BINDING`
`static java.lang.String` | `HTTP_NAMESPACE`
`static java.lang.String` | `HTTP_PORT`
`static java.lang.String` | `HTTP_PREFIX`
`static java.lang.String` | `IN_PUT_LOCAL_NAME`
`static java.lang.String` | `JAVA_PKG_2_NSMAP_OPTION`
`static java.lang.String` | `JAVA_PKG_2_NSMAP_OPTION_LONG`
`static java.lang.String` | `LITERAL`
`static java.lang.String` | `LOCATION`
`static java.lang.String` | `LOCATION_OPTION`
`static java.lang.String` | `LOCATION_OPTION_LONG`
`static java.lang.String` | `MESSAGE_LOCAL_NAME`
`static java.lang.String` | `MESSAGE_PART_NAME_OPTION`
`static java.lang.String` | `MESSAGE_PART_NAME_OPTION_LONG`
`static java.lang.String` | `MESSAGE_SUFFIX`
`static java.lang.String` | `MIME_NAMESPACE`
`static java.lang.String` | `MIME_PREFIX`
`static java.lang.String` | `NAMESPACE_GENERATOR_OPTION`
`static java.lang.String` | `NAMESPACE_GENERATOR_OPTION_LONG`
`static java.lang.String` | `OPERATION_LOCAL_NAME`
`static java.lang.String` | `OUT_PUT_LOCAL_NAME`
`static java.lang.String` | `OUTPUT_FILENAME_OPTION`
`static java.lang.String` | `OUTPUT_FILENAME_OPTION_LONG`
`static java.lang.String` | `OUTPUT_LOCATION_OPTION`
`static java.lang.String` | `OUTPUT_LOCATION_OPTION_LONG`
`static java.lang.String` | `PARAMETERS`
`static java.lang.String` | `PART_ATTRIBUTE_NAME`
`static java.lang.String` | `PORT`
`static java.lang.String` | `PORT_NAME_SUFFIX`
`static java.lang.String` | `PORT_TYPE_LOCAL_NAME`
`static java.lang.String` | `PORT_TYPE_NAME_OPTION`
`static java.lang.String` | `PORT_TYPE_NAME_OPTION_LONG`
`static java.lang.String` | `PORT_TYPE_SUFFIX`
`static java.lang.String` | `REQUEST`
`static java.lang.String` | `REQUEST_ELEMENT_SUFFIX_OPTION`
`static java.lang.String` | `REQUEST_ELEMENT_SUFFIX_OPTION_LONG`
`static java.lang.String` | `REQUEST_MESSAGE`
`static java.lang.String` | `RESPONSE`
`static java.lang.String` | `RESPONSE_MESSAGE`
`static java.lang.String` | `REST_BINDING_NAME_OPTION_LONG`
`static java.lang.String` | `RESULT`
`static java.lang.String` | `SCHEMA_GENERATOR_OPTION`
`static java.lang.String` | `SCHEMA_GENERATOR_OPTION_LONG`
`static java.lang.String` | `SCHEMA_MAPPING_FILE_LOCATION`
`static java.lang.String` | `SCHEMA_MAPPING_FILE_LOCATION_LONG`
`static java.lang.String` | `SCHEMA_NAMESPACE_PRFIX`
`static java.lang.String` | `SCHEMA_TARGET_NAMESPACE_OPTION`
`static java.lang.String` | `SCHEMA_TARGET_NAMESPACE_OPTION_LONG`
`static java.lang.String` | `SCHEMA_TARGET_NAMESPACE_PREFIX_OPTION`
`static java.lang.String` | `SCHEMA_TARGET_NAMESPACE_PREFIX_OPTION_LONG`
`static java.lang.String` | `SERVICE_LOCAL_NAME`
`static java.lang.String` | `SERVICE_NAME_OPTION`
`static java.lang.String` | `SERVICE_NAME_OPTION_LONG`
`static java.lang.String` | `SOAP_ACTION`
`static java.lang.String` | `SOAP_ADDRESS`
`static java.lang.String` | `SOAP_BODY`
`static java.lang.String` | `SOAP_USE`
`static java.lang.String` | `SOAP11_BINDING_NAME_OPTION_LONG`
`static java.lang.String` | `SOAP11_PREFIX`
`static java.lang.String` | `SOAP11PORT`
`static java.lang.String` | `SOAP12_BINDING_NAME_OPTION_LONG`
`static java.lang.String` | `SOAP12_PREFIX`
`static java.lang.String` | `SOAP12BINDING_NAME_SUFFIX`
`static java.lang.String` | `SOAP12PORT`
`static java.lang.String` | `SOLE_INPUT`
`static java.lang.String` | `STYLE`
`static java.lang.String` | `STYLE_OPTION`
`static java.lang.String` | `STYLE_OPTION_LONG`
`static java.lang.String` | `TARGET_NAMESPACE_OPTION`
`static java.lang.String` | `TARGET_NAMESPACE_OPTION_LONG`
`static java.lang.String` | `TARGET_NAMESPACE_PREFIX_OPTION`
`static java.lang.String` | `TARGET_NAMESPACE_PREFIX_OPTION_LONG`
`static java.lang.String` | `TARGETNAMESPACE_PREFIX`
`static java.lang.String` | `TRANSPORT`
`static java.lang.String` | `TRANSPORT_URI`
`static java.lang.String` | `URI_2001_SCHEMA_XSD`
`static java.lang.String` | `URI_WSDL11_SOAP`
`static java.lang.String` | `URI_WSDL12_SOAP`
`static java.lang.String` | `URN_PREFIX`
`static java.lang.String` | `USE_OPTION`
`static java.lang.String` | `USE_OPTION_LONG`
`static java.lang.String` | `WSAD_NS`
`static java.lang.String` | `WSDL_NAMESPACE`
`static java.lang.String` | `WSDL_VERSION_1`
`static java.lang.String` | `WSDL_VERSION_2`
`static java.lang.String` | `WSDL_VERSION_2_OPTIONAL`
`static java.lang.String` | `WSDL_VERSION_OPTION`
`static java.lang.String` | `WSDL_VERSION_OPTION_LONG`

Field Detail

### SOAP11_PREFIX

    static final java.lang.String SOAP11_PREFIX

See Also:
  Constant Field Values

### SOAP12_PREFIX

    static final java.lang.String SOAP12_PREFIX

See Also:
  Constant Field Values

### DEFAULT_WSDL_NAMESPACE_PREFIX

    static final java.lang.String DEFAULT_WSDL_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### DEFAULT_SCHEMA_NAMESPACE_PREFIX

    static final java.lang.String DEFAULT_SCHEMA_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### DEFAULT_TARGET_NAMESPACE_PREFIX

    static final java.lang.String DEFAULT_TARGET_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### TARGETNAMESPACE_PREFIX

    static final java.lang.String TARGETNAMESPACE_PREFIX

See Also:
  Constant Field Values

### SCHEMA_NAMESPACE_PRFIX

    static final java.lang.String SCHEMA_NAMESPACE_PRFIX

See Also:
  Constant Field Values

### FORM_DEFAULT_QUALIFIED

    static final java.lang.String FORM_DEFAULT_QUALIFIED

See Also:
  Constant Field Values

### FORM_DEFAULT_UNQUALIFIED

    static final java.lang.String FORM_DEFAULT_UNQUALIFIED

See Also:
  Constant Field Values

### DOC_LIT_BARE_PARAMETER

    static final java.lang.String DOC_LIT_BARE_PARAMETER

See Also:
  Constant Field Values

### DEFAULT_TARGET_NAMESPACE

    static final java.lang.String DEFAULT_TARGET_NAMESPACE

See Also:
  Constant Field Values

### WSDL_NAMESPACE

    static final java.lang.String WSDL_NAMESPACE

See Also:
  Constant Field Values

### AXIS2_XSD

    static final java.lang.String AXIS2_XSD

See Also:
  Constant Field Values

### URI_WSDL12_SOAP

    static final java.lang.String URI_WSDL12_SOAP

See Also:
  Constant Field Values

### URI_WSDL11_SOAP

    static final java.lang.String URI_WSDL11_SOAP

See Also:
  Constant Field Values

### TRANSPORT_URI

    static final java.lang.String TRANSPORT_URI

See Also:
  Constant Field Values

### DEFAULT_LOCATION_URL

    static final java.lang.String DEFAULT_LOCATION_URL

See Also:
  Constant Field Values

### WSAD_NS

    static final java.lang.String WSAD_NS

See Also:
  Constant Field Values

### HTTP_NAMESPACE

    static final java.lang.String HTTP_NAMESPACE

See Also:
  Constant Field Values

### MIME_NAMESPACE

    static final java.lang.String MIME_NAMESPACE

See Also:
  Constant Field Values

### HTTP_PREFIX

    static final java.lang.String HTTP_PREFIX

See Also:
  Constant Field Values

### MIME_PREFIX

    static final java.lang.String MIME_PREFIX

See Also:
  Constant Field Values

### URN_PREFIX

    static final java.lang.String URN_PREFIX

See Also:
  Constant Field Values

### COLON_SEPARATOR

    static final java.lang.String COLON_SEPARATOR

See Also:
  Constant Field Values

### BINDING_NAME_SUFFIX

    static final java.lang.String BINDING_NAME_SUFFIX

See Also:
  Constant Field Values

### SOAP12BINDING_NAME_SUFFIX

    static final java.lang.String SOAP12BINDING_NAME_SUFFIX

See Also:
  Constant Field Values

### HTTP_BINDING

    static final java.lang.String HTTP_BINDING

See Also:
  Constant Field Values

### PORT_TYPE_SUFFIX

    static final java.lang.String PORT_TYPE_SUFFIX

See Also:
  Constant Field Values

### PORT_NAME_SUFFIX

    static final java.lang.String PORT_NAME_SUFFIX

See Also:
  Constant Field Values

### MESSAGE_LOCAL_NAME

    static final java.lang.String MESSAGE_LOCAL_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_NAME

    static final java.lang.String ATTRIBUTE_NAME

See Also:
  Constant Field Values

### REQUEST_MESSAGE

    static final java.lang.String REQUEST_MESSAGE

See Also:
  Constant Field Values

### RESPONSE_MESSAGE

    static final java.lang.String RESPONSE_MESSAGE

See Also:
  Constant Field Values

### FAULT_MESSAGE

    static final java.lang.String FAULT_MESSAGE

See Also:
  Constant Field Values

### MESSAGE_SUFFIX

    static final java.lang.String MESSAGE_SUFFIX

See Also:
  Constant Field Values

### REQUEST

    static final java.lang.String REQUEST

See Also:
  Constant Field Values

### RESPONSE

    static final java.lang.String RESPONSE

See Also:
  Constant Field Values

### RESULT

    static final java.lang.String RESULT

See Also:
  Constant Field Values

### PORT_TYPE_LOCAL_NAME

    static final java.lang.String PORT_TYPE_LOCAL_NAME

See Also:
  Constant Field Values

### OPERATION_LOCAL_NAME

    static final java.lang.String OPERATION_LOCAL_NAME

See Also:
  Constant Field Values

### IN_PUT_LOCAL_NAME

    static final java.lang.String IN_PUT_LOCAL_NAME

See Also:
  Constant Field Values

### OUT_PUT_LOCAL_NAME

    static final java.lang.String OUT_PUT_LOCAL_NAME

See Also:
  Constant Field Values

### SERVICE_LOCAL_NAME

    static final java.lang.String SERVICE_LOCAL_NAME

See Also:
  Constant Field Values

### BINDING_LOCAL_NAME

    static final java.lang.String BINDING_LOCAL_NAME

See Also:
  Constant Field Values

### PORT

    static final java.lang.String PORT

See Also:
  Constant Field Values

### SOAP12PORT

    static final java.lang.String SOAP12PORT

See Also:
  Constant Field Values

### SOAP11PORT

    static final java.lang.String SOAP11PORT

See Also:
  Constant Field Values

### HTTP_PORT

    static final java.lang.String HTTP_PORT

See Also:
  Constant Field Values

### PART_ATTRIBUTE_NAME

    static final java.lang.String PART_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### ELEMENT_ATTRIBUTE_NAME

    static final java.lang.String ELEMENT_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### FAULT_LOCAL_NAME

    static final java.lang.String FAULT_LOCAL_NAME

See Also:
  Constant Field Values

### SOAP_ADDRESS

    static final java.lang.String SOAP_ADDRESS

See Also:
  Constant Field Values

### LOCATION

    static final java.lang.String LOCATION

See Also:
  Constant Field Values

### TRANSPORT

    static final java.lang.String TRANSPORT

See Also:
  Constant Field Values

### STYLE

    static final java.lang.String STYLE

See Also:
  Constant Field Values

### SOAP_ACTION

    static final java.lang.String SOAP_ACTION

See Also:
  Constant Field Values

### SOAP_BODY

    static final java.lang.String SOAP_BODY

See Also:
  Constant Field Values

### SOAP_USE

    static final java.lang.String SOAP_USE

See Also:
  Constant Field Values

### DOCUMENT

    static final java.lang.String DOCUMENT

See Also:
  Constant Field Values

### LITERAL

    static final java.lang.String LITERAL

See Also:
  Constant Field Values

### URI_2001_SCHEMA_XSD

    static final java.lang.String URI_2001_SCHEMA_XSD

See Also:
  Constant Field Values

### ATTR_FORM_DEFAULT_OPTION

    static final java.lang.String ATTR_FORM_DEFAULT_OPTION

See Also:
  Constant Field Values

### ATTR_FORM_DEFAULT_OPTION_LONG

    static final java.lang.String ATTR_FORM_DEFAULT_OPTION_LONG

See Also:
  Constant Field Values

### CLASSNAME_OPTION

    static final java.lang.String CLASSNAME_OPTION

See Also:
  Constant Field Values

### CLASSNAME_OPTION_LONG

    static final java.lang.String CLASSNAME_OPTION_LONG

See Also:
  Constant Field Values

### CLASSPATH_OPTION

    static final java.lang.String CLASSPATH_OPTION

See Also:
  Constant Field Values

### CLASSPATH_OPTION_LONG

    static final java.lang.String CLASSPATH_OPTION_LONG

See Also:
  Constant Field Values

### DOC_LIT_BARE

    static final java.lang.String DOC_LIT_BARE

See Also:
  Constant Field Values

### DOC_LIT_BARE_LONG

    static final java.lang.String DOC_LIT_BARE_LONG

See Also:
  Constant Field Values

### ELEMENT_FORM_DEFAULT_OPTION

    static final java.lang.String ELEMENT_FORM_DEFAULT_OPTION

See Also:
  Constant Field Values

### ELEMENT_FORM_DEFAULT_OPTION_LONG

    static final java.lang.String ELEMENT_FORM_DEFAULT_OPTION_LONG

See Also:
  Constant Field Values

### EXTRA_CLASSES_DEFAULT_OPTION

    static final java.lang.String EXTRA_CLASSES_DEFAULT_OPTION

See Also:
  Constant Field Values

### EXTRA_CLASSES_DEFAULT_OPTION_LONG

    static final java.lang.String EXTRA_CLASSES_DEFAULT_OPTION_LONG

See Also:
  Constant Field Values

### JAVA_PKG_2_NSMAP_OPTION

    static final java.lang.String JAVA_PKG_2_NSMAP_OPTION

See Also:
  Constant Field Values

### JAVA_PKG_2_NSMAP_OPTION_LONG

    static final java.lang.String JAVA_PKG_2_NSMAP_OPTION_LONG

See Also:
  Constant Field Values

### LOCATION_OPTION

    static final java.lang.String LOCATION_OPTION

See Also:
  Constant Field Values

### LOCATION_OPTION_LONG

    static final java.lang.String LOCATION_OPTION_LONG

See Also:
  Constant Field Values

### NAMESPACE_GENERATOR_OPTION

    static final java.lang.String NAMESPACE_GENERATOR_OPTION

See Also:
  Constant Field Values

### NAMESPACE_GENERATOR_OPTION_LONG

    static final java.lang.String NAMESPACE_GENERATOR_OPTION_LONG

See Also:
  Constant Field Values

### OUTPUT_FILENAME_OPTION

    static final java.lang.String OUTPUT_FILENAME_OPTION

See Also:
  Constant Field Values

### OUTPUT_FILENAME_OPTION_LONG

    static final java.lang.String OUTPUT_FILENAME_OPTION_LONG

See Also:
  Constant Field Values

### OUTPUT_LOCATION_OPTION

    static final java.lang.String OUTPUT_LOCATION_OPTION

See Also:
  Constant Field Values

### OUTPUT_LOCATION_OPTION_LONG

    static final java.lang.String OUTPUT_LOCATION_OPTION_LONG

See Also:
  Constant Field Values

### SCHEMA_GENERATOR_OPTION

    static final java.lang.String SCHEMA_GENERATOR_OPTION

See Also:
  Constant Field Values

### SCHEMA_GENERATOR_OPTION_LONG

    static final java.lang.String SCHEMA_GENERATOR_OPTION_LONG

See Also:
  Constant Field Values

### SCHEMA_TARGET_NAMESPACE_OPTION

    static final java.lang.String SCHEMA_TARGET_NAMESPACE_OPTION

See Also:
  Constant Field Values

### SCHEMA_TARGET_NAMESPACE_OPTION_LONG

    static final java.lang.String SCHEMA_TARGET_NAMESPACE_OPTION_LONG

See Also:
  Constant Field Values

### SCHEMA_TARGET_NAMESPACE_PREFIX_OPTION

    static final java.lang.String SCHEMA_TARGET_NAMESPACE_PREFIX_OPTION

See Also:
  Constant Field Values

### SCHEMA_TARGET_NAMESPACE_PREFIX_OPTION_LONG

    static final java.lang.String SCHEMA_TARGET_NAMESPACE_PREFIX_OPTION_LONG

See Also:
  Constant Field Values

### SERVICE_NAME_OPTION

    static final java.lang.String SERVICE_NAME_OPTION

See Also:
  Constant Field Values

### SERVICE_NAME_OPTION_LONG

    static final java.lang.String SERVICE_NAME_OPTION_LONG

See Also:
  Constant Field Values

### STYLE_OPTION

    static final java.lang.String STYLE_OPTION

See Also:
  Constant Field Values

### STYLE_OPTION_LONG

    static final java.lang.String STYLE_OPTION_LONG

See Also:
  Constant Field Values

### TARGET_NAMESPACE_OPTION

    static final java.lang.String TARGET_NAMESPACE_OPTION

See Also:
  Constant Field Values

### TARGET_NAMESPACE_OPTION_LONG

    static final java.lang.String TARGET_NAMESPACE_OPTION_LONG

See Also:
  Constant Field Values

### TARGET_NAMESPACE_PREFIX_OPTION

    static final java.lang.String TARGET_NAMESPACE_PREFIX_OPTION

See Also:
  Constant Field Values

### TARGET_NAMESPACE_PREFIX_OPTION_LONG

    static final java.lang.String TARGET_NAMESPACE_PREFIX_OPTION_LONG

See Also:
  Constant Field Values

### USE_OPTION

    static final java.lang.String USE_OPTION

See Also:
  Constant Field Values

### USE_OPTION_LONG

    static final java.lang.String USE_OPTION_LONG

See Also:
  Constant Field Values

### WSDL_VERSION_OPTION

    static final java.lang.String WSDL_VERSION_OPTION

See Also:
  Constant Field Values

### WSDL_VERSION_OPTION_LONG

    static final java.lang.String WSDL_VERSION_OPTION_LONG

See Also:
  Constant Field Values

### CUSTOM_SCHEMA_LOCATION

    static final java.lang.String CUSTOM_SCHEMA_LOCATION

See Also:
  Constant Field Values

### CUSTOM_SCHEMA_LOCATION_LONG

    static final java.lang.String CUSTOM_SCHEMA_LOCATION_LONG

See Also:
  Constant Field Values

### SCHEMA_MAPPING_FILE_LOCATION

    static final java.lang.String SCHEMA_MAPPING_FILE_LOCATION

See Also:
  Constant Field Values

### SCHEMA_MAPPING_FILE_LOCATION_LONG

    static final java.lang.String SCHEMA_MAPPING_FILE_LOCATION_LONG

See Also:
  Constant Field Values

### DISABLE_BINDING_SOAP11

    static final java.lang.String DISABLE_BINDING_SOAP11

See Also:
  Constant Field Values

### DISABLE_BINDING_SOAP12

    static final java.lang.String DISABLE_BINDING_SOAP12

See Also:
  Constant Field Values

### DISABLE_BINDING_REST

    static final java.lang.String DISABLE_BINDING_REST

See Also:
  Constant Field Values

### PORT_TYPE_NAME_OPTION

    static final java.lang.String PORT_TYPE_NAME_OPTION

See Also:
  Constant Field Values

### PORT_TYPE_NAME_OPTION_LONG

    static final java.lang.String PORT_TYPE_NAME_OPTION_LONG

See Also:
  Constant Field Values

### SOAP11_BINDING_NAME_OPTION_LONG

    static final java.lang.String SOAP11_BINDING_NAME_OPTION_LONG

See Also:
  Constant Field Values

### SOAP12_BINDING_NAME_OPTION_LONG

    static final java.lang.String SOAP12_BINDING_NAME_OPTION_LONG

See Also:
  Constant Field Values

### REST_BINDING_NAME_OPTION_LONG

    static final java.lang.String REST_BINDING_NAME_OPTION_LONG

See Also:
  Constant Field Values

### DISALLOW_NILLABLE_ELEMENTS_OPTION

    static final java.lang.String DISALLOW_NILLABLE_ELEMENTS_OPTION

See Also:
  Constant Field Values

### DISALLOW_NILLABLE_ELEMENTS_OPTION_LONG

    static final java.lang.String DISALLOW_NILLABLE_ELEMENTS_OPTION_LONG

See Also:
  Constant Field Values

### MESSAGE_PART_NAME_OPTION

    static final java.lang.String MESSAGE_PART_NAME_OPTION

See Also:
  Constant Field Values

### MESSAGE_PART_NAME_OPTION_LONG

    static final java.lang.String MESSAGE_PART_NAME_OPTION_LONG

See Also:
  Constant Field Values

### REQUEST_ELEMENT_SUFFIX_OPTION

    static final java.lang.String REQUEST_ELEMENT_SUFFIX_OPTION

See Also:
  Constant Field Values

### REQUEST_ELEMENT_SUFFIX_OPTION_LONG

    static final java.lang.String REQUEST_ELEMENT_SUFFIX_OPTION_LONG

See Also:
  Constant Field Values

### DISALLOW_ANON_TYPES_OPTION

    static final java.lang.String DISALLOW_ANON_TYPES_OPTION

See Also:
  Constant Field Values

### DISALLOW_ANON_TYPES_OPTION_LONG

    static final java.lang.String DISALLOW_ANON_TYPES_OPTION_LONG

See Also:
  Constant Field Values

### AXIS2_NAMESPACE_PREFIX

    static final java.lang.String AXIS2_NAMESPACE_PREFIX

See Also:
  Constant Field Values

### SOLE_INPUT

    static final java.lang.String SOLE_INPUT

See Also:
  Constant Field Values

### WSDL_VERSION_2

    static final java.lang.String WSDL_VERSION_2

See Also:
  Constant Field Values

### WSDL_VERSION_2_OPTIONAL

    static final java.lang.String WSDL_VERSION_2_OPTIONAL

See Also:
  Constant Field Values

### WSDL_VERSION_1

    static final java.lang.String WSDL_VERSION_1

See Also:
  Constant Field Values

### PARAMETERS

    static final java.lang.String PARAMETERS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.